package com.miaxis.app.coach.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 教练评价对象 coach_evaluate
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Data
@TableName("coach_evaluate")
@ApiModel(value = "CoachEvaluate", description = "教练评价对象 coach_evaluate")
public class CoachEvaluate extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 评价用户ID */
    @Excel(name = "评价用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "评价用户ID")
    private Long userId;

    /** 教练员全国统一编号 */
    @Excel(name = "教练员全国统一编号")
    @TableField("coachnum")
    @ApiModelProperty(value = "教练员全国统一编号")
    private String coachnum;

    /** 评价星数1-5 */
    @Excel(name = "评价星数1-5")
    @TableField("star")
    @ApiModelProperty(value = "评价星数1-5")
    private Long star;

    /** 评价内容 */
    @Excel(name = "评价内容")
    @TableField("content")
    @ApiModelProperty(value = "评价内容")
    private String content;

    /** 标签表ID串 */
    @Excel(name = "标签表ID串")
    @TableField("label_ids")
    @ApiModelProperty(value = "标签表ID串")
    private String labelIds;

    /** $column.columnComment */
    @Excel(name = "标签表ID串")
    @TableField("images_id")
    @ApiModelProperty(value = "$column.columnComment")
    private String imagesId;

    /** 状态   0：启用 1：禁用 */
    @Excel(name = "状态   0：启用 1：禁用")
    @TableField("status")
    @ApiModelProperty(value = "状态   0：启用 1：禁用")
    private Integer status;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setUserId(Long userId){
        this.userId = userId;
    }

    public Long getUserId(){
        return userId;
    }
    public void setCoachnum(String coachnum){
        this.coachnum = coachnum;
    }

    public String getCoachnum(){
        return coachnum;
    }
    public void setStar(Long star){
        this.star = star;
    }

    public Long getStar(){
        return star;
    }
    public void setContent(String content){
        this.content = content;
    }

    public String getContent(){
        return content;
    }
    public void setLabelIds(String labelIds){
        this.labelIds = labelIds;
    }

    public String getLabelIds(){
        return labelIds;
    }
    public void setImagesId(String imagesId){
        this.imagesId = imagesId;
    }

    public String getImagesId(){
        return imagesId;
    }
    public void setStatus(Integer status){
        this.status = status;
    }

    public Integer getStatus(){
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("coachnum", getCoachnum())
            .append("star", getStar())
            .append("content", getContent())
            .append("labelIds", getLabelIds())
            .append("imagesId", getImagesId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
