package com.miaxis.app.school.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.app.coach.domain.CoachEvaluateLabel;
import com.miaxis.app.school.domain.SchoolEvaluate;
import com.miaxis.app.school.domain.SchoolEvaluateLabel;
import com.miaxis.app.school.mapper.SchoolEvaluateLabelMapper;
import com.miaxis.app.school.mapper.SchoolEvaluateMapper;
import com.miaxis.app.school.service.ISchoolEvaluateService;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 驾校评价Service业务层处理
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Service
public class SchoolEvaluateServiceImpl extends ServiceImpl<SchoolEvaluateMapper, SchoolEvaluate> implements ISchoolEvaluateService {

    @Resource
    private SchoolEvaluateMapper schoolEvaluateMapper;

    @Resource
    private SchoolEvaluateLabelMapper schoolEvaluateLabelMapper;


    /**
     * 新增驾校评价
     *
     * @param schoolEvaluate 驾校评价
     * @return 结果
     */
    @Override
    public int insertSchoolEvaluate(SchoolEvaluate schoolEvaluate){
        schoolEvaluate.setCreateTime(DateUtils.getNowDate());
        return schoolEvaluateMapper.insertSchoolEvaluate(schoolEvaluate);
    }


    /**
     * 查询驾校评价标签列表
     * @return
     */
    @Override
    public List<SchoolEvaluateLabel> selectSchoolEvaluateLabelList() {
        QueryWrapper<SchoolEvaluateLabel> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status","0");
        return schoolEvaluateLabelMapper.selectList(queryWrapper);
    }


}
